gnutls_tpm_privkey_delete(3)

NAME
gnutls_tpm_privkey_delete - API function

SYNOPSIS
#include <gnutls/tpm.h>

int gnutls_tpm_privkey_delete(const char * url, const char * srk_password);

ARGUMENTS

const char * url
    the URL describing the key

const char * srk_password
    a password for the SRK key

DESCRIPTION
This function will unregister the private key from the TPM chip.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.1.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/